> For the complete documentation index, see [llms.txt](https://docs.leanx.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.leanx.io/api-docs/account/pool-balance.md).

# Pool Balance

This API endpoint is used to retrieve the current balance of both the transaction pool and the payout fund pool

## Authentication

LeanX uses **Auth Token** to authenticate in each request's header.

{% hint style="info" %}
**Auth Token** can be retrieved in your portal dashboard under **API** page.
{% endhint %}

**Request Header**

{% code overflow="wrap" %}

```json
{
    "auth-token": "LP-0D7C06DE-MM|7394e58e-edee-4c42-9ca5-bcbc449f1b9f|2141df4a3cb633d5ce8683bb0c55067e5caebfbe07390dde277dc455bcc95c91723a81b5e565c7c02d68fb84e396722563016bf99e576a4b8cdbe4423fbf226b"
}
```

{% endcode %}

## Getting Pool Balance

HTTP Method: <mark style="color:yellow;">POST</mark>

```
https://api.leanx.dev/api/v1/merchant/overall-balance
```

#### Request Body

```
no request body
```

**Response**

````json
{
    "response_code": 2000,
    "description": "SUCCESS",
    "app_version": "/api/v1",
    "talk_to_server_before": "2024-08-09T13:18:02.305450",
    "data": {
        "transaction_balance": {
            "value": 26.05,
            "pool_name": "TRANSACTION",
            "api_key": "86774f4a-3d60-4197-a9b2-5b72b5034695",
            "record_status": 1,
            "updated_at": "2024-04-25T13:30:00",
            "account_id": 57,
            "id": 337,
            "pool_type": 1,
            "created_at": "2024-01-03T11:58:03"
        },
        "prefund_balance": 393.63,
        "total_transaction_as_of_today": 0
    },
    "breakdown_errors": null,
    "token": ""
}
```
````
